#!/bin/bash

# Finds the next available r<year>.<month>.<increment> identifier
YEAR_MONTH=$(date -u +%Y.%-m)
YEAR=${YEAR_MONTH:0:4}
MONTH=${YEAR_MONTH:5}
LAST_INCREMENT=$(git tag --list | grep '^r[1-9][0-9]*\.\([1-9]\|1[0-2]\)\.\(0\|[1-9][0-9]*\)$' | cut -d . -f 3 | sort -nr | head -n 1)
RELEASE=r${YEAR_MONTH}.$(( ${LAST_INCREMENT:--1} + 1 ))

git tag $RELEASE
echo Tagged $RELEASE
